Subject: Re: bug#1741: 23.0.60; vc fail to register file while logged as /su:: with tramp

From: Stefan Monnier <[email-masked]>
Date: Thu, 09 Apr 2009 10:38:13 -0400

>>> If I create a new file: "/su:root@localhost:/tmp/blah"
>>> then to C-x v v to register it, it fails.  But I can see that the 
>>> /tmp/RCS/blah,v is created.  If after that I do:
>> 
>>> M-: (file-exists-p "/su:root@localhost:/tmp/RCS/blah,v") RET
>>> the result is nil.
>> 
>>> If I start a new emacs and do:
>>> M-: (file-exists-p "/su:root@localhost:/tmp/RCS/blah,v") RET
>>> the result is t.
>> 
>> Hmm... looks like a stale cache.
>> Michael?

> Yes, a stale cache. I've committed a patch, which adds a file name
> handler for `vc-registered'. There the cache is disabled temporarily.
> Works for me. Could you guys, please, check?

I'd rather find a more generic fix.  E.g. can't you flush the cache when
handling process-file?

        Stefan